cURL
curl --request POST \
--url https://api.okapicrm.com/okapicrm.v1.OkapiCRMService/UpdateObject \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"object": {
"apiName": "<string>",
"archived": true,
"displayNamePlural": "<string>",
"displayNameSingular": "<string>",
"fieldDefinitions": [
{
"allowedObjectIds": [
"<string>"
],
"apiName": "<string>",
"archived": true,
"displayName": "<string>",
"enumValues": [
{
"apiName": "<string>",
"displayColor": [
"ENUM_VALUE_DISPLAY_COLOR_UNSPECIFIED",
"ENUM_VALUE_DISPLAY_COLOR_RED",
"ENUM_VALUE_DISPLAY_COLOR_ORANGE",
"ENUM_VALUE_DISPLAY_COLOR_YELLOW",
"ENUM_VALUE_DISPLAY_COLOR_GREEN",
"ENUM_VALUE_DISPLAY_COLOR_BLUE",
"ENUM_VALUE_DISPLAY_COLOR_VIOLET"
],
"displayName": "<string>"
}
],
"formula": "<string>",
"id": "<string>",
"type": [
"FIELD_DEFINITION_TYPE_UNSPECIFIED",
"FIELD_DEFINITION_TYPE_BOOLEAN",
"FIELD_DEFINITION_TYPE_NUMBER",
"FIELD_DEFINITION_TYPE_STRING",
"FIELD_DEFINITION_TYPE_TIMESTAMP",
"FIELD_DEFINITION_TYPE_USER_ID",
"FIELD_DEFINITION_TYPE_RECORD_ID",
"FIELD_DEFINITION_TYPE_ENUM"
],
"unique": true
}
],
"iconDisplayFieldDefinitionApiName": "<string>",
"id": "<string>",
"primaryDisplayFieldDefinitionApiName": "<string>",
"secondaryDisplayFieldDefinitionApiName": "<string>"
}
}
'import requests
url = "https://api.okapicrm.com/okapicrm.v1.OkapiCRMService/UpdateObject"
payload = { "object": {
"apiName": "<string>",
"archived": True,
"displayNamePlural": "<string>",
"displayNameSingular": "<string>",
"fieldDefinitions": [
{
"allowedObjectIds": ["<string>"],
"apiName": "<string>",
"archived": True,
"displayName": "<string>",
"enumValues": [
{
"apiName": "<string>",
"displayColor": ["ENUM_VALUE_DISPLAY_COLOR_UNSPECIFIED", "ENUM_VALUE_DISPLAY_COLOR_RED", "ENUM_VALUE_DISPLAY_COLOR_ORANGE", "ENUM_VALUE_DISPLAY_COLOR_YELLOW", "ENUM_VALUE_DISPLAY_COLOR_GREEN", "ENUM_VALUE_DISPLAY_COLOR_BLUE", "ENUM_VALUE_DISPLAY_COLOR_VIOLET"],
"displayName": "<string>"
}
],
"formula": "<string>",
"id": "<string>",
"type": ["FIELD_DEFINITION_TYPE_UNSPECIFIED", "FIELD_DEFINITION_TYPE_BOOLEAN", "FIELD_DEFINITION_TYPE_NUMBER", "FIELD_DEFINITION_TYPE_STRING", "FIELD_DEFINITION_TYPE_TIMESTAMP", "FIELD_DEFINITION_TYPE_USER_ID", "FIELD_DEFINITION_TYPE_RECORD_ID", "FIELD_DEFINITION_TYPE_ENUM"],
"unique": True
}
],
"iconDisplayFieldDefinitionApiName": "<string>",
"id": "<string>",
"primaryDisplayFieldDefinitionApiName": "<string>",
"secondaryDisplayFieldDefinitionApiName": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
object: {
apiName: '<string>',
archived: true,
displayNamePlural: '<string>',
displayNameSingular: '<string>',
fieldDefinitions: [
{
allowedObjectIds: ['<string>'],
apiName: '<string>',
archived: true,
displayName: '<string>',
enumValues: [
{
apiName: '<string>',
displayColor: [
'ENUM_VALUE_DISPLAY_COLOR_UNSPECIFIED',
'ENUM_VALUE_DISPLAY_COLOR_RED',
'ENUM_VALUE_DISPLAY_COLOR_ORANGE',
'ENUM_VALUE_DISPLAY_COLOR_YELLOW',
'ENUM_VALUE_DISPLAY_COLOR_GREEN',
'ENUM_VALUE_DISPLAY_COLOR_BLUE',
'ENUM_VALUE_DISPLAY_COLOR_VIOLET'
],
displayName: '<string>'
}
],
formula: '<string>',
id: '<string>',
type: [
'FIELD_DEFINITION_TYPE_UNSPECIFIED',
'FIELD_DEFINITION_TYPE_BOOLEAN',
'FIELD_DEFINITION_TYPE_NUMBER',
'FIELD_DEFINITION_TYPE_STRING',
'FIELD_DEFINITION_TYPE_TIMESTAMP',
'FIELD_DEFINITION_TYPE_USER_ID',
'FIELD_DEFINITION_TYPE_RECORD_ID',
'FIELD_DEFINITION_TYPE_ENUM'
],
unique: true
}
],
iconDisplayFieldDefinitionApiName: '<string>',
id: '<string>',
primaryDisplayFieldDefinitionApiName: '<string>',
secondaryDisplayFieldDefinitionApiName: '<string>'
}
})
};
fetch('https://api.okapicrm.com/okapicrm.v1.OkapiCRMService/UpdateObject', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"apiName": "<string>",
"archived": true,
"displayNamePlural": "<string>",
"displayNameSingular": "<string>",
"fieldDefinitions": [
{
"allowedObjectIds": [
"<string>"
],
"apiName": "<string>",
"archived": true,
"displayName": "<string>",
"enumValues": [
{
"apiName": "<string>",
"displayColor": [
"ENUM_VALUE_DISPLAY_COLOR_UNSPECIFIED",
"ENUM_VALUE_DISPLAY_COLOR_RED",
"ENUM_VALUE_DISPLAY_COLOR_ORANGE",
"ENUM_VALUE_DISPLAY_COLOR_YELLOW",
"ENUM_VALUE_DISPLAY_COLOR_GREEN",
"ENUM_VALUE_DISPLAY_COLOR_BLUE",
"ENUM_VALUE_DISPLAY_COLOR_VIOLET"
],
"displayName": "<string>"
}
],
"formula": "<string>",
"id": "<string>",
"type": [
"FIELD_DEFINITION_TYPE_UNSPECIFIED",
"FIELD_DEFINITION_TYPE_BOOLEAN",
"FIELD_DEFINITION_TYPE_NUMBER",
"FIELD_DEFINITION_TYPE_STRING",
"FIELD_DEFINITION_TYPE_TIMESTAMP",
"FIELD_DEFINITION_TYPE_USER_ID",
"FIELD_DEFINITION_TYPE_RECORD_ID",
"FIELD_DEFINITION_TYPE_ENUM"
],
"unique": true
}
],
"iconDisplayFieldDefinitionApiName": "<string>",
"id": "<string>",
"primaryDisplayFieldDefinitionApiName": "<string>",
"secondaryDisplayFieldDefinitionApiName": "<string>"
}{
"code": "CodeNotFound",
"detail": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Objects
Update
POST
/
okapicrm.v1.OkapiCRMService
/
UpdateObject
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/jsonapplication/proto
Show child attributes
Show child attributes